#
# spec file for package python-tempest-lib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tempest-lib
Version:        1.0.0
Release:        3.2
Summary:        OpenStack Functional Testing Library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source0:        https://pypi.io/packages/source/t/tempest-lib/tempest-lib-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-ddt >= 1.0.1
BuildRequires:  python-devel
BuildRequires:  python-httplib2 >= 0.7.5
BuildRequires:  python-jsonschema >= 2.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-oslo.log >= 1.14.0
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-paramiko >= 2.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-sphinx >= 1.2.1
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-fixtures >= 3.0.0
Requires:       python-httplib2 >= 0.7.5
Requires:       python-iso8601 >= 0.1.11
Requires:       python-jsonschema >= 2.0.0
Requires:       python-os-testr >= 0.7.0
Requires:       python-oslo.log >= 1.14.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
OpenStack Functional Testing Library

%prep
%setup -q -n tempest-lib-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}
# both files are provided by openstack-tempest (because tempest-lib is
# now deprecated and the code was copied to tempest)
rm %{buildroot}/%{_bindir}/skip-tracker
rm %{buildroot}/%{_bindir}/check-uuid

%check
%{__python2} setup.py testr

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst ChangeLog AUTHORS
%{python2_sitelib}/tempest_lib
%{python2_sitelib}/*.egg-info

%changelog
* Thu Sep  1 2016 tbechtold@suse.com
- Update _service and switch to upstream spec template
* Tue Mar 15 2016 tbechtold@suse.com
- Remove /usr/bin/check-uuid and /usr/bin/skip-tracker .
  Both is now provided by openstack-tempest
* Thu Mar  3 2016 tbechtold@suse.com
- update to 1.0.0:
  * Add note to README about tempest-lib deprecation
  * Deprecation warning in tempest-lib
  * Add reno release notes to tempest-lib
  * Updated from global requirements
  * Fix project domain problem in v3 token client
  * Add cli execute test case
  * Add update attached volume function to servers_client
* Sun Feb 28 2016 dmueller@suse.com
- update to 0.14.0:
  * Add bulk methods to network service clients
  * Migrated 2 network clients from tempest
  * Minor spelling fix
  * Update .gitignore because of to ignore .eggs dir
  * Alter image json schema to allow for null name and size values
  * Change attach_id to volume_id in show_volume_attachment
  * Migrated 2 network clients from tempest
  * Raise IdentityError if auth_url doesn't exist
  * Added __init__.py to tests/services/identity/
  * Updated from global requirements
  * Migrate the skip_unless_attr decorator from tempest
  * Migrated quotas_client and security_groups_client
  * Remove MANIFEST.in
  * Change LOG.warn to LOG.warning
  * Updated from global requirements
  * Prevent StopIteration exception during parse response
  * Keep py3.X compatibility for urllib
  * Migrated 6 network clients from tempest
* Tue Jan  5 2016 dmueller@suse.com
- update to 0.12.0:
  * Migrated servers_client.py from tempest
  * Updated from global requirements
  * Migrated floating_ips_client.py from tempest
  * Fix the links to api-site doc
  * Pass environment variables of proxy to tox
  * Remove get_server_group()
  * Add docstring for create/update methods([h-q]*)
  * Add docstring for create/update methods([a-f]*)
  * Add docstring for create/update methods([s-v]*)
  * Updated from global requirements
  * Make git log messsage to shorter
  * Fix Bugs URL on CONTRIBUTING.rst
  * Fix fixed_ip schema and service client
  * Rename get_server_group to show_server_group
  * Allow passing --insecure to python client binaries
  * Add 410 error code handling to REST client
  * python3: converts binary data from channel
  * Improve unit test coverage for alt_auth data
* Thu Nov 26 2015 tbechtold@suse.com
- update to 0.11.0:
  * throw BadAltAuth exception when alt auth == auth
  * Migrated services_client.py from tempest
  * Added Test Cases for VersionsClient
  * Fix the length of auto-generated commit
  * Migrated interfaces_client.py from tempest
  * Migrated volumes_client.py from tempest
  * Migrated snapshots_client.py from tempest
  * Set a default value for default param
  * Migrated quota_classes_client.py from tempest
* Tue Nov 24 2015 tbechtold@suse.com
- update to 0.10.0:
  * Add more debug info for token_client request
  * Migrated images_client.py from tempest
  * Migrated instance_usage_audit_log_client.py from tempest
  * Migrated networks_client.py, test_networks_client.py from tempest
  * Updated from global requirements
  * Migrated quotas_client.py from tempest
  * Migrated flavors_client.py from tempest
  * Migrated extensions_client.py from tempest
  * Added a full stop to auto-generated commit message
  * Migrated hosts_client.py from tempest
  * Migrated versions_client.py from tempest
  * Migrated security_group_default_rules_client.py
  * Migrated floating_ips_bulk_client.py
  * Migrated limits_client.py from tempest
  * Migrated migrations_client.py from tempest
  * Migrated tenant_networks_client.py from tempest
  * Migrated floating_ip_pools_client.py from tempest
  * Migrated certificates_client.py from tempest
  * Migrated keypairs_client.py from tempest
  * Migrated tenant_usages_client.py from tempest
  * Remove file path from migration commit msg
  * Migrated fixed_ips_client.py from tempest
  * Fix order of std and third party lib import
  * Migrated security_groups_client.py
  * Migrated hypervisor_client.py
  * Make the script available on Mac (BSD)
  * Switch to using autogenerated ChangeLog in docs
  * Change sha1s to change ids in commit msg from migration tool
  * Updated from global requirements
  * Change ignore-errors to ignore_errors
  * Add exception message to invalid cred field
  * Add in a more verbose exception message
  * Add missing schema for update agent API
  * Migrated baremetal_nodes_client.py from tempest
  * Migrated aggregates_client.py from tempest
  * Migrated availability_zone_client.py from tempest
  * Add --service-client option to migration script
- Adjust Requires according to requirements.txt
- Install /usr/bin/check-uuid
* Mon Sep 21 2015 tbechtold@suse.com
- update to 0.9.0:
  * Migrated agents_client.py, test_agents_client.py, agents.py from tempest
  * Write the latest change_id on migration commit
  * Keep original pathes of source files
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.8.0:
  * Add HTTP30X checks for validate_response(
  * Make TokenClientJSON deprecated
  * Add the resp to RestClientExceptions
  * Add std out to ssh exception
  * Properly decode body before calling json.loads()
  * Updated from global requirements
- Adjust Requires according to requirements.txt
* Fri Jul  3 2015 dmueller@suse.com
- update to 0.6.1:
  * Make resp_body optional on RestClientException
  * Revert "Adding support for neutron-debug CLI."
  * Updated from global requirements
  * Remove unnecessary oslo-incubator code
  * Allows any valid ISO8601 timestamp in token expiry time format
  * Explicitly add json schema validator for schema validation
  * Fix 'format' checking for json schema validation
  * Add unit tests for rest_client's json schema validation
  * Pass response body down into RestClientExceptions
  * Add a doc and test for data_utils.rand_password
  * Add unit tests for basic auth methods in token clients
  * Password is not strong enough failures
  * Switch to using ostestr for subunit-trace
  * Updated from global requirements
  * Update setup.cfg metadata to reflect reality
  * Add release notes to docs for past few releases
* Mon May  4 2015 dmueller@suse.com
- update to 0.5.0:
  * Updated from global requirements
  * Switch from using custom urlparse import logic to six
  * Migrate ssh.py from tempest
  * Fix ValueError in subunit_trace
  * Add a unit test for __str__() of rest_client
  * Add docstrings to data_utils
  * Add unit tests for properties of rest_client
  * Add a unit test for get_versions()
  * Add unit tests for __str__ method of ResponseBody* classes
  * Migrated test_credentials.py to tempest-lib
  * Fix docstring for rest_client module
  * Add a test case for rand_name with prefix
  * Add a unit test for get_ipv6_addr_by_EUI64
  * Add test cases for random utilities
  * Fix an error of tox -ecover
  * Add optional prefix parameter to rand_name function
  * Move to hacking 0.10
  * Add InvalidCredentials to tempest-lib
* Wed Apr  8 2015 tbechtold@suse.com
- update to 0.4.0:
  * Migrated auth.py and related unit tests from tempest
  * Support specifying the tempest git URL
  * Migrate token clients to tempest-lib
  * Always print info logs from the rest client requests
  * Add api docs to the rest client
  * Updated from global requirements
  * Handle missing launchpadlib gracefully
- update BuildRequires and Requires acording to requirements.txt
  and test-requirements.txt
- run testsuite after build
- install /usr/bin/skip-tracker
* Tue Feb 24 2015 tbechtold@suse.com
- update to 0.3.0:
  * Move data_utils functionaly from tempest
  * Summarize expected failures
  * Improve the library's documentation
- Adjust Requires according to requirements.txt
* Mon Feb 16 2015 dmueller@suse.com
- update to 0.2.1:
  * Enable stdout passthrough for subunit-trace
  * Migrate the skip_because decorator from tempest
  * Move api_version to a class value
  * Separate Forbidden exception from Unauthorized
  * Fix typo: clien => client
  * Make rest_client exception inheritances easy
  * Remove unused exceptions
  * Add RateLimitExceeded test case
  * Fix migrate_from_tempest script to work with multiple files
  * Updated from global requirements
* Fri Jan 23 2015 tbechtold@suse.com
- update to version 0.1.0
  * Migrate rest_client to tempest-lib from tempest
  * Default the worker number to 0 not NaN
  * Fix subunit-trace on python < 2.7
  * bring over fail only functionality from nova
  * Updated from global requirements
  * Fix migration script to use original SHA1 from tempest's commits
  * Workflow documentation is now in infra-manual
  * Add pretty_tox.sh wrapper script to use subunit-trace
  * Switch to elapsed time in subunit-trace summary
  * Drop version string from setup.cfg
- Adjust Requires and BuildRequires
- Add _service file
* Mon Jan  5 2015 tbechtold@suse.com
- Update to version 0.0.2
  * Fix inheritance order in BaseTestCase
  * Bump version string
* Sat Nov  8 2014 dmueller@suse.com
- Initial package (0.0.1)
